body {
    margin: 0;
}

* {
    font-family: Mulish;
}

html {
    overflow-x: hidden;
    scroll-behavior: smooth;
}

.flex {
    display: flex;
}

.jcc {
    justify-content: center;
}

.jcs {
    justify-content: space-around;
}

.jca {
    justify-content: space-around;
}

.aic {
    align-items: center;
}

.flex-col {
    flex-direction: column;
}


.header {
    position: sticky;
    width: 100%;
    top: 0;
    height: 94px;
    z-index: 999;
    background: #FFFFFF;
    box-shadow: 0px -1px 0px 0px #00000014 inset;
    min-width: 320px;
}

.nav-content {
    display: grid;
    width: 100%;
    height: 60px;
    gap: 113px;
    z-index: 999;
    grid-template-rows: 1;
    grid-template-columns: 1fr 3fr 1fr;
}

.nav-logo {
    background-image: url(/images/navbarimg.webp);
    width: 141.11px;
    height: 60px;
    z-index: 999;
    margin-left: auto;
}

.nav-categories {
    width: 100%;
    height: 22px;
    gap: 32px;
    justify-self: center;
}

.nav-categories>a {
    color: #222943;
    text-decoration: none;
    font-size: 18px;
    font-weight: 600;
    line-height: 22px;
    text-align: center;

    &:nth-child(1) {
        width: auto;
        height: 22px;

    }

    &:nth-child(2) {
        width: auto;
        height: 22px;

    }

    &:nth-child(3) {
        width: auto;
        height: 22px;

    }
}

.main {
    width: 100%;
    min-width: 320px;
    height: auto;
    padding-inline: 100px;
    display: block;
    margin: 0;
    padding: 0;

}

.about-section {
    width: 100%;
    height: auto;
}

.main-img {
    width: 100%;
    height: auto;
    min-width: 320px;
}

#about,
#contact {
    scroll-margin-top: 85px;
}

.about {
    width: 100%;
    height: auto;
    min-width: 320px;
    gap: 60px;
    padding-block: 60px;
}

.about-top {
    width: 100%;
    height: auto;
    gap: 60px;

}

.about-top-top {
    height: 60px;
    gap: 12px;
}

.polygon {
    background-image: url(/images/polygon.webp);
    width: 26px;
    height: 26px;
    background-position: center;
    background-repeat: no-repeat;

}

.top-top-text {

    height: 22px;

    font-size: 16px;
    font-weight: 600;
    line-height: 22px;
    text-align: center;
    color: #002855;

}

.about-top-bottom {
    width: 100%;
    height: auto;
    gap: 40px;

}

.top-bottom-text {
    width: 976px;
    height: 96px;
    font-size: 20px;
    font-weight: 400;
    line-height: 24px;
    text-align: center;
    color: #222943;

}

.top-bottom-text>span {

    font-size: 20px;
    font-weight: 700;
    line-height: 24px;
    text-align: center;

}

.line {
    width: 100%;
    min-width: 320px;
    height: 0px;
    border: 1px 0px 0px 0px;
    border: 1px solid #DEE3ED
}

.about-bottom {
    width: 100%;
    min-width: 343px;
    height: auto;
    gap: 24px;
    flex-wrap: wrap;
    justify-content: space-around;
}

.about-card {
    width: 374px;
    height: 154px;
    gap: 10px;

}

.rect {
    background: #0058AD;
    width: 7px;
    height: 34px;
    border-radius: 8px;

}

.texts {
    width: 357px;
    min-width: 326px;
    height: 154px;
    gap: 10px;

}

.title {
    width: 357px;

    height: 34px;
    font-size: 26px;
    font-weight: 800;
    line-height: 34px;
    text-align: left;
    color: #222943;

}

.text {
    width: 357px;

    height: 110px;
    font-size: 16px;
    font-weight: 400;
    line-height: 22px;
    text-align: left;
    color: #414C5B;
}

.services {
    width: 100%;
    min-width: 320px;
    height: auto;
    padding-block: 100px;
    gap: 32px;
    background: #0058AD;
    overflow-x: hidden;
}

.services-inside {
    width: 90%;
    height: 100%;
    gap: 32px;


}

.services-title {
    margin-top: 20px;
    height: 22px;
    font-size: 16px;
    font-weight: 600;
    line-height: 22px;
    text-align: left;
    color: #FFFFFF;
    min-width: 343px;
}

.services-top {

    min-width: 343px;
    width: 100%;
    height: 410px;
    gap: 16px;

    justify-content: space-between;
    overflow: hidden;
}




.services-top::-webkit-scrollbar {
    width: 0px;
    background: transparent;
}

.services-card {
    position: relative;
    flex-shrink: 0;
    height: 353px;
    width: 170px;
    transform-origin: 0 0;
}

.active {
    height: 408px;
    width: 220px;

}

.active>img {
    border: 1px solid #FFFFFF;
    height: 408px;
    width: 220px;
}

.services-card-image {
    border-radius: 5px;
    position: relative;
    cursor: pointer;
    user-select: none;
    height: 353px;
    width: 170px;
    user-select: none;
    -webkit-user-drag: none;
    -moz-user-select: none;
    -ms-user-select: none;
    pointer-events: all;
    transition: width, height .1s linear;
    object-fit: cover;
}

.services-card-cover {
    position: absolute;
    background: linear-gradient(225deg, rgba(107, 180, 192, 0.8) 0%, rgba(44, 50, 98, 0.8) 100%),
        linear-gradient(0deg, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2));
    width: 100%;
    height: 104px;
    bottom: 0px;

    gap: 10px;
    z-index: 20;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    user-select: none;
    -webkit-user-drag: none;
    -moz-user-select: none;
    -ms-user-select: none;
}

.services-card-text {
    width: 150px;
    height: 26px;
    font-size: 22px;
    font-weight: 800;
    line-height: 26px;
    text-align: center;
    color: #FFFFFF;
}

.services-bottom {
    width: 100%;
    height: 186px;
    gap: 20px;

}

.services-bottom-title {
    width: 822px;
    height: 34px;

    font-size: 26px;
    font-weight: 800;
    line-height: 34px;
    text-align: left;
    color: #FFFFFF;

}

.services-bottom-text {
    max-width: 826px;
    height: 132px;

    font-size: 16px;
    font-weight: 400;
    line-height: 22px;
    text-align: left;
    color: #FFFFFF;

}

.contact {
    width: 100%;
    height: auto;
    gap: 30px;
    background: #F0F2F5;
    padding-block: 135px;
    min-width: 320px;
}

.contact-cover {
    width: 90%;
    gap: 30px;

}

.contact-top {
    width: 100%;
    height: 22px;
    gap: 30px;
    min-width: 335px;
}

.contact-top-text {
    width: 53px;
    height: 22px;
    font-size: 16px;
    font-weight: 600;
    line-height: 22px;
    text-align: left;
    color: #414C5B;

}

.contact-bottom {
    height: auto;
    gap: 30px;
    flex-wrap: wrap;
    justify-content: space-between;
}

.contact-bottom-left,
.contact-bottom-right {

    height: 225px;
    gap: 30px;
    justify-content: space-between;
}

.contact-bottom-item {
    width: 570px;
    height: 55px;
    gap: 15px;

}

.contact-bottom-title {
    width: auto;
    height: 18px;
    font-size: 14px;
    font-weight: 400;
    line-height: 18px;
    text-align: left;
    color: #049EAD;

}

.contact-bottom-text {
    width: auto;
    height: 22px;
    font-size: 16px;
    font-weight: 400;
    line-height: 22px;
    text-align: left;
    color: #04274E;

}

.footer {


    width: 100%;
    height: 78px;
}

.footer-left {
    width: 586px;
    height: 22px;
    gap: 12px;

}

.footer-left-element {
    width: auto;
    height: 22px;


    font-size: 16px;
    font-weight: 300;
    line-height: 22px;
    text-align: center;

    color: #A5B2C3;
    text-decoration: none;
}

.footer-right,
.footer-logo {
    width: 141.11px;
    height: 60px;
}

.footer-logo {
    background-image: url(/images/footerlogo.webp);
    display: block;
}

.nav-small {
    display: none;
}

.footer-small {
    display: none;
}

.dropdown {
    display: none;
}

.darken {
    display: none;
}

@media screen and (max-width:800px) and (min-width: 600px) {

    .header {
        height: 88px;
        border: 0px 0px 1px 0px;
        justify-content: space-between;
        background-color: white;
    }

    .nav-logo-small {
        min-width: 131.7px;
        height: 56px;
        background-position: center;
        background-image: url(/images/navlogosmall.webp);
    }

    .nav-content {
        display: none;
    }

    .darken {
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 3021.88px;
        transition: background-color .7s linear;
    }

    .dropdown {


        height: auto;

        align-items: start;
        background: white;
        width: 100%;

        z-index: 1;
        position: absolute;
        top: 88px;
        gap: 0px;
    }



    .dropdown-item {
        width: 100%;
        height: 64px;
        padding: 20px 0px 20px 0px;
        gap: 10px;
        border: 0px 0px 1px 0px;
        border-bottom: 1px solid #DEE3ED;
        text-align: center;
    }

    .dropdown-text-cover {
        width: 100%;
        height: 24px;
        gap: 44px;

        justify-content: space-around;
    }

    .nav-categories>a {

        &:nth-child(1) {
            width: 100%;
            height: 22px;

        }

        &:nth-child(2) {
            width: 100%;
            height: 22px;

        }

        &:nth-child(3) {
            width: 100%;
            height: 22px;

        }
    }

    .dropdown-text {
        width: 275px;
        height: 22px;
        font-size: 16px;
        font-weight: 600;
        line-height: 22px;
        text-align: left;

    }

    .chevron {
        background-image: url(/images/Chevron.webp);
        width: 24px;
        height: 24px;
        background-position: center;
        background-repeat: no-repeat;
    }



    .nav-small {
        display: flex;
        width: 100%;
        height: 88px;
        position: sticky;
        top: 0;
        gap: 100px;
        border: 0px 0px 1px 0px;
        justify-content: space-around;
        z-index: 999;
        background-color: white;
        border-bottom: 1px solid #DEE3ED;

    }

    .nav-button {

        width: 24px;
        height: 24px;
        padding: 4.5px 3px 4.5px 3px;
        border: none;
        background-color: transparent;
    }

    .nav-small:has(.off)>.nav-button {
        background-image: url(/images/menu.webp);
        background-position: center;
    }

    .nav-small:has(.on)>.nav-button {
        background-image: url(/images/Close.webp);
        background-position: center;
    }


}

@media screen and (max-width: 600px) {
    body {
        height: auto;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }

    .header {

        height: 88px;
        padding: 0px 0px 0px 0px;
        border: 0px 0px 1px 0px;
        justify-content: space-between;
        background-color: white;
    }

    .nav-logo-small {
        min-width: 131.7px;
        height: 56px;
        background-position: center;
        background-image: url(/images/navlogosmall.webp);
    }

    .nav-content {
        display: none;
    }

    .darken {
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 3199px;
        transition: background-color .7s linear;
    }

    .dropdown {
        display: none;

        height: auto;

        align-items: start;
        background: white;
        width: 100%;

        z-index: 1;
        position: absolute;
        top: 88px;
        gap: 0px;
    }


    .dropdown-item {
        width: 100%;
        height: auto;
        padding: 20px 0px 20px 0px;
        gap: 10px;
        border: 0px 0px 1px 0px;
        border-bottom: 1px solid #DEE3ED;

    }

    .dropdown-text-cover {
        width: 100%;
        height: 24px;
        gap: 44px;
        justify-content: space-around;
    }

    .nav-categories>a {

        &:nth-child(1) {
            width: 100%;
            height: auto;

        }

        &:nth-child(2) {
            width: 100%;
            height: auto;

        }

        &:nth-child(3) {
            width: 100%;
            height: auto;

        }
    }

    .dropdown-text {
        width: 275px;
        height: 22px;
        font-size: 16px;
        font-weight: 600;
        line-height: 22px;
        text-align: left;

    }

    .chevron {
        background-image: url(/images/Chevron.webp);
        width: 24px;
        height: 24px;
        background-position: center;
        background-repeat: no-repeat;
    }



    .nav-small {
        display: flex;
        width: 100%;
        height: 88px;
        position: sticky;
        top: 0;
        gap: 100px;
        border: 0px 0px 1px 0px;
        justify-content: space-around;
        z-index: 999;
        background-color: white;
        border-bottom: 1px solid #DEE3ED;

    }

    .nav-button {

        width: 24px;
        height: 24px;
        padding: 4.5px 3px 4.5px 3px;
        border: none;
        background-color: transparent;
    }

    .nav-small:has(.off)>.nav-button {
        background-image: url(/images/menu.webp);
        background-position: center;
    }

    .nav-small:has(.on)>.nav-button {
        background-image: url(/images/Close.webp);
        background-position: center;
    }

    .main {
        height: auto;
    }

    .main-img {

        height: 420px;
        background-image: url(/images/mainimg.webp);
        object-fit: cover;
        object-position: 25%;
    }

    .about {
        gap: 40px;
        padding-block: 40px;
    }

    .about-top {
        width: 343px;
        height: 320px;
        gap: 40px;

    }

    .top-top-text {
        width: auto;
    }

    .about-top-top {
        width: 343px;
        height: 60px;
        gap: 12px;

    }

    .about-top-bottom {
        width: 343px;
        height: 220px;
        gap: 20px;

    }

    .top-bottom-text {
        width: 343px;
        height: 220px;
        font-size: 16px;
        font-weight: 400;
        line-height: 22px;
        text-align: center;

    }

    .top-bottom-text>span {

        font-size: 16px;
        font-weight: 700;
        line-height: 22px;
        text-align: center;

    }

    .line {

        height: 0px;
        border: 1px 0px 0px 0px;

    }

    .about-bottom {
        height: 460px;
        gap: 20px;
        flex-direction: column;
    }

    .about-card {
        width: 343px;
        height: auto;
        gap: 10px;

    }



    .texts {

        height: 140px;
        gap: 8px;

    }

    .title {
        width: 326px;
        height: 22px;
        font-size: 18px;
        font-weight: 700;
        line-height: 22px;
        text-align: left;

    }

    .text {
        width: 326px;
        height: 110px;
        font-size: 16px;
        font-weight: 400;
        line-height: 22px;
        text-align: left;

    }

    .services {
        height: auto;
        padding: 32px 0px 32px 0px;
        gap: 32px;

    }

    .services-title {

        height: 22px;
        font-size: 16px;
        font-weight: 600;
        line-height: 22px;
        text-align: left;

    }

    .services-inside {
        width: 343px;
        height: auto;
        gap: 16px;

    }

    .services-top {
        height: 410px;
        gap: 16px;
        overflow-x: scroll;
        overflow-y: hidden;
        padding-block: 10px;
    }

    .services-bottom {
        width: 343px;
        height: auto;
        gap: 20px;

    }

    .services-bottom-title {
        width: 343px;
        height: 22px;
        font-size: 18px;
        font-weight: 800;
        line-height: 22px;
        text-align: left;

    }

    .services-bottom-text {
        width: 343px;
        height: auto;

        font-size: 16px;
        font-weight: 400;
        line-height: 22px;
        text-align: left;

    }

    .contact {

        height: auto;
        padding-block: 30px;
        gap: 30px;

    }

    .contact-top {
        display: flex;

        height: 22px;
        gap: 30px;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .contact-top-text {
        width: 53px;
        height: 22px;
        font-size: 16px;
        font-weight: 600;
        line-height: 22px;
        text-align: center;
    }

    .contact-bottom {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 335px;
        height: auto;
        gap: 30px;


    }

    .contact-bottom-left,
    .contact-bottom-right {
        width: 335px;
        height: auto;
        gap: 30px;

    }

    .contact-bottom-item {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 335px;
        height: auto;
        gap: 15px;

    }

    .contact-bottom-title {
        width: 335px;
        height: auto;
        font-size: 14px;
        font-weight: 400;
        line-height: 18px;
        text-align: center;

    }

    .contact-bottom-text {
        width: 335px;
        height: auto;
        font-size: 16px;
        font-weight: 400;
        line-height: 22px;
        text-align: center;

    }

    .contact-cover {
        justify-content: center;
        align-items: center;
    }

    .footer {
        display: none;
    }

    .footer-small {
        display: flex;
        padding: 2%;
        gap: 30px;
        padding-block: 30px;
    }

    .footer-top {
        width: 141.11px;
        height: 60px;

    }

    .footer-bottom {

        width: 288px;
        height: 22px;
        gap: 12px;

    }

    .footer-left-element {
        width: auto;
        height: 22px;
        font-size: 16px;
        font-weight: 300;
        line-height: 22px;
        text-align: center;

    }

    .footer-last {
        width: 265px;
        height: 22px;

        font-size: 16px;
        font-weight: 300;
        line-height: 22px;
        text-align: center;

    }
}

@media screen and (max-width:321px) {
    .dropdown-text{
        width: 200px;
    }
    .dropdown-text-cover{
        gap: 0px;
    }
    
    .about-top,
    .about-top *,
    .about-bottom,
    .about-bottom .title,
    .about-bottom .text,
    .about-bottom .texts,
    .about-card,
    .services-inside,
    .services-title,
    .services-top,
    .services-bottom,
    .services-bottom *,
    .contact *,
    .contact-top {
        width: 320px;
        min-width: 320px;
    }
    .about-card{
        gap: 0px;
    }

}

@keyframes dropdown-on {
    from {
        transform: translateY(-500px);
    }

    to {
        transform: translateY(0px);
    }
}

@keyframes dropdown-off {
    from {
        transform: translateY(0px);
    }

    to {
        transform: translateY(-500px);
    }
}

.dropdown-on-anim {
    animation: dropdown-on 1s ease forwards;
}

.dropdown-off-anim {
    animation: dropdown-off 1s ease forwards;
}